// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: monster.proto

package protomonster

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/vajar_minigame/proto_go/gen/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Monster struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name         string                 `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Id           int32                  `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	PlayerID     int32                  `protobuf:"varint,3,opt,name=playerID,proto3" json:"playerID,omitempty"`
	BattleValues *BattleValues          `protobuf:"bytes,4,opt,name=battleValues,proto3" json:"battleValues,omitempty"`
	BodyValues   *BodyValues            `protobuf:"bytes,5,opt,name=bodyValues,proto3" json:"bodyValues,omitempty"`
	LastUpdate   *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=last_update,json=lastUpdate,proto3" json:"last_update,omitempty"`
	IsTest       bool                   `protobuf:"varint,10,opt,name=is_test,json=isTest,proto3" json:"is_test,omitempty"`
	Activity     *Activity              `protobuf:"bytes,6,opt,name=activity,proto3" json:"activity,omitempty"`
	Status       *StatusFlags           `protobuf:"bytes,7,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *Monster) Reset() {
	*x = Monster{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Monster) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Monster) ProtoMessage() {}

func (x *Monster) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Monster.ProtoReflect.Descriptor instead.
func (*Monster) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{0}
}

func (x *Monster) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Monster) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Monster) GetPlayerID() int32 {
	if x != nil {
		return x.PlayerID
	}
	return 0
}

func (x *Monster) GetBattleValues() *BattleValues {
	if x != nil {
		return x.BattleValues
	}
	return nil
}

func (x *Monster) GetBodyValues() *BodyValues {
	if x != nil {
		return x.BodyValues
	}
	return nil
}

func (x *Monster) GetLastUpdate() *timestamppb.Timestamp {
	if x != nil {
		return x.LastUpdate
	}
	return nil
}

func (x *Monster) GetIsTest() bool {
	if x != nil {
		return x.IsTest
	}
	return false
}

func (x *Monster) GetActivity() *Activity {
	if x != nil {
		return x.Activity
	}
	return nil
}

func (x *Monster) GetStatus() *StatusFlags {
	if x != nil {
		return x.Status
	}
	return nil
}

type StatusFlags struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsAlive bool `protobuf:"varint,1,opt,name=is_alive,json=isAlive,proto3" json:"is_alive,omitempty"`
}

func (x *StatusFlags) Reset() {
	*x = StatusFlags{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusFlags) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusFlags) ProtoMessage() {}

func (x *StatusFlags) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusFlags.ProtoReflect.Descriptor instead.
func (*StatusFlags) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{1}
}

func (x *StatusFlags) GetIsAlive() bool {
	if x != nil {
		return x.IsAlive
	}
	return false
}

type BattleValues struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Attack      int32 `protobuf:"varint,1,opt,name=attack,proto3" json:"attack,omitempty"`
	Defense     int32 `protobuf:"varint,2,opt,name=defense,proto3" json:"defense,omitempty"`
	MaxHp       int32 `protobuf:"varint,3,opt,name=max_hp,json=maxHp,proto3" json:"max_hp,omitempty"`
	RemainingHp int32 `protobuf:"varint,4,opt,name=remaining_hp,json=remainingHp,proto3" json:"remaining_hp,omitempty"`
}

func (x *BattleValues) Reset() {
	*x = BattleValues{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BattleValues) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BattleValues) ProtoMessage() {}

func (x *BattleValues) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BattleValues.ProtoReflect.Descriptor instead.
func (*BattleValues) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{2}
}

func (x *BattleValues) GetAttack() int32 {
	if x != nil {
		return x.Attack
	}
	return 0
}

func (x *BattleValues) GetDefense() int32 {
	if x != nil {
		return x.Defense
	}
	return 0
}

func (x *BattleValues) GetMaxHp() int32 {
	if x != nil {
		return x.MaxHp
	}
	return 0
}

func (x *BattleValues) GetRemainingHp() int32 {
	if x != nil {
		return x.RemainingHp
	}
	return 0
}

type BodyValues struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RemainingSaturation float64 `protobuf:"fixed64,1,opt,name=remaining_saturation,json=remainingSaturation,proto3" json:"remaining_saturation,omitempty"`
	MaxSaturation       float64 `protobuf:"fixed64,2,opt,name=max_saturation,json=maxSaturation,proto3" json:"max_saturation,omitempty"`
	Mass                int32   `protobuf:"varint,3,opt,name=mass,proto3" json:"mass,omitempty"`
}

func (x *BodyValues) Reset() {
	*x = BodyValues{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BodyValues) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BodyValues) ProtoMessage() {}

func (x *BodyValues) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BodyValues.ProtoReflect.Descriptor instead.
func (*BodyValues) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{3}
}

func (x *BodyValues) GetRemainingSaturation() float64 {
	if x != nil {
		return x.RemainingSaturation
	}
	return 0
}

func (x *BodyValues) GetMaxSaturation() float64 {
	if x != nil {
		return x.MaxSaturation
	}
	return 0
}

func (x *BodyValues) GetMass() int32 {
	if x != nil {
		return x.Mass
	}
	return 0
}

type Activity struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Activity:
	//	*Activity_QuestId
	//	*Activity_BattleID
	Activity isActivity_Activity `protobuf_oneof:"activity"`
}

func (x *Activity) Reset() {
	*x = Activity{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Activity) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Activity) ProtoMessage() {}

func (x *Activity) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Activity.ProtoReflect.Descriptor instead.
func (*Activity) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{4}
}

func (m *Activity) GetActivity() isActivity_Activity {
	if m != nil {
		return m.Activity
	}
	return nil
}

func (x *Activity) GetQuestId() *common.QuestId {
	if x, ok := x.GetActivity().(*Activity_QuestId); ok {
		return x.QuestId
	}
	return nil
}

func (x *Activity) GetBattleID() *common.BattleId {
	if x, ok := x.GetActivity().(*Activity_BattleID); ok {
		return x.BattleID
	}
	return nil
}

type isActivity_Activity interface {
	isActivity_Activity()
}

type Activity_QuestId struct {
	QuestId *common.QuestId `protobuf:"bytes,1,opt,name=questId,proto3,oneof"`
}

type Activity_BattleID struct {
	BattleID *common.BattleId `protobuf:"bytes,2,opt,name=battleID,proto3,oneof"`
}

func (*Activity_QuestId) isActivity_Activity() {}

func (*Activity_BattleID) isActivity_Activity() {}

type AddMonCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mon *Monster `protobuf:"bytes,1,opt,name=mon,proto3" json:"mon,omitempty"`
}

func (x *AddMonCall) Reset() {
	*x = AddMonCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddMonCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddMonCall) ProtoMessage() {}

func (x *AddMonCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddMonCall.ProtoReflect.Descriptor instead.
func (*AddMonCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{5}
}

func (x *AddMonCall) GetMon() *Monster {
	if x != nil {
		return x.Mon
	}
	return nil
}

type GetMonByIDCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id *common.MonId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetMonByIDCall) Reset() {
	*x = GetMonByIDCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetMonByIDCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetMonByIDCall) ProtoMessage() {}

func (x *GetMonByIDCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetMonByIDCall.ProtoReflect.Descriptor instead.
func (*GetMonByIDCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{6}
}

func (x *GetMonByIDCall) GetId() *common.MonId {
	if x != nil {
		return x.Id
	}
	return nil
}

type GetMonByUserIDCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId *common.UserId `protobuf:"bytes,1,opt,name=userId,proto3" json:"userId,omitempty"`
}

func (x *GetMonByUserIDCall) Reset() {
	*x = GetMonByUserIDCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetMonByUserIDCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetMonByUserIDCall) ProtoMessage() {}

func (x *GetMonByUserIDCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetMonByUserIDCall.ProtoReflect.Descriptor instead.
func (*GetMonByUserIDCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{7}
}

func (x *GetMonByUserIDCall) GetUserId() *common.UserId {
	if x != nil {
		return x.UserId
	}
	return nil
}

type UpdateMonCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mon *Monster `protobuf:"bytes,1,opt,name=mon,proto3" json:"mon,omitempty"`
}

func (x *UpdateMonCall) Reset() {
	*x = UpdateMonCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateMonCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateMonCall) ProtoMessage() {}

func (x *UpdateMonCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateMonCall.ProtoReflect.Descriptor instead.
func (*UpdateMonCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{8}
}

func (x *UpdateMonCall) GetMon() *Monster {
	if x != nil {
		return x.Mon
	}
	return nil
}

type DeleteMonCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id *common.MonId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeleteMonCall) Reset() {
	*x = DeleteMonCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteMonCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteMonCall) ProtoMessage() {}

func (x *DeleteMonCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteMonCall.ProtoReflect.Descriptor instead.
func (*DeleteMonCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{9}
}

func (x *DeleteMonCall) GetId() *common.MonId {
	if x != nil {
		return x.Id
	}
	return nil
}

type LockRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id       *common.MonId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Activity *Activity     `protobuf:"bytes,2,opt,name=activity,proto3" json:"activity,omitempty"`
}

func (x *LockRequest) Reset() {
	*x = LockRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LockRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LockRequest) ProtoMessage() {}

func (x *LockRequest) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LockRequest.ProtoReflect.Descriptor instead.
func (*LockRequest) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{10}
}

func (x *LockRequest) GetId() *common.MonId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *LockRequest) GetActivity() *Activity {
	if x != nil {
		return x.Activity
	}
	return nil
}

type ReleaseRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id *common.MonId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *ReleaseRequest) Reset() {
	*x = ReleaseRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReleaseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReleaseRequest) ProtoMessage() {}

func (x *ReleaseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReleaseRequest.ProtoReflect.Descriptor instead.
func (*ReleaseRequest) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{11}
}

func (x *ReleaseRequest) GetId() *common.MonId {
	if x != nil {
		return x.Id
	}
	return nil
}

type MonsterDeletedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	MonId *common.MonId `protobuf:"bytes,1,opt,name=monId,proto3" json:"monId,omitempty"`
}

func (x *MonsterDeletedEvent) Reset() {
	*x = MonsterDeletedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonsterDeletedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonsterDeletedEvent) ProtoMessage() {}

func (x *MonsterDeletedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonsterDeletedEvent.ProtoReflect.Descriptor instead.
func (*MonsterDeletedEvent) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{12}
}

func (x *MonsterDeletedEvent) GetMonId() *common.MonId {
	if x != nil {
		return x.MonId
	}
	return nil
}

type MonsterAddedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mon *Monster `protobuf:"bytes,1,opt,name=mon,proto3" json:"mon,omitempty"`
}

func (x *MonsterAddedEvent) Reset() {
	*x = MonsterAddedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonsterAddedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonsterAddedEvent) ProtoMessage() {}

func (x *MonsterAddedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonsterAddedEvent.ProtoReflect.Descriptor instead.
func (*MonsterAddedEvent) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{13}
}

func (x *MonsterAddedEvent) GetMon() *Monster {
	if x != nil {
		return x.Mon
	}
	return nil
}

type MonsterUpdatedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Mon *Monster `protobuf:"bytes,1,opt,name=mon,proto3" json:"mon,omitempty"`
}

func (x *MonsterUpdatedEvent) Reset() {
	*x = MonsterUpdatedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonsterUpdatedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonsterUpdatedEvent) ProtoMessage() {}

func (x *MonsterUpdatedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonsterUpdatedEvent.ProtoReflect.Descriptor instead.
func (*MonsterUpdatedEvent) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{14}
}

func (x *MonsterUpdatedEvent) GetMon() *Monster {
	if x != nil {
		return x.Mon
	}
	return nil
}

type MonsterEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Event:
	//	*MonsterEvent_AddedEvent
	//	*MonsterEvent_DeleteEvent
	//	*MonsterEvent_UpdateEvent
	Event isMonsterEvent_Event `protobuf_oneof:"event"`
}

func (x *MonsterEvent) Reset() {
	*x = MonsterEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonsterEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonsterEvent) ProtoMessage() {}

func (x *MonsterEvent) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonsterEvent.ProtoReflect.Descriptor instead.
func (*MonsterEvent) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{15}
}

func (m *MonsterEvent) GetEvent() isMonsterEvent_Event {
	if m != nil {
		return m.Event
	}
	return nil
}

func (x *MonsterEvent) GetAddedEvent() *MonsterAddedEvent {
	if x, ok := x.GetEvent().(*MonsterEvent_AddedEvent); ok {
		return x.AddedEvent
	}
	return nil
}

func (x *MonsterEvent) GetDeleteEvent() *MonsterDeletedEvent {
	if x, ok := x.GetEvent().(*MonsterEvent_DeleteEvent); ok {
		return x.DeleteEvent
	}
	return nil
}

func (x *MonsterEvent) GetUpdateEvent() *MonsterUpdatedEvent {
	if x, ok := x.GetEvent().(*MonsterEvent_UpdateEvent); ok {
		return x.UpdateEvent
	}
	return nil
}

type isMonsterEvent_Event interface {
	isMonsterEvent_Event()
}

type MonsterEvent_AddedEvent struct {
	AddedEvent *MonsterAddedEvent `protobuf:"bytes,1,opt,name=addedEvent,proto3,oneof"`
}

type MonsterEvent_DeleteEvent struct {
	DeleteEvent *MonsterDeletedEvent `protobuf:"bytes,2,opt,name=deleteEvent,proto3,oneof"`
}

type MonsterEvent_UpdateEvent struct {
	UpdateEvent *MonsterUpdatedEvent `protobuf:"bytes,3,opt,name=updateEvent,proto3,oneof"`
}

func (*MonsterEvent_AddedEvent) isMonsterEvent_Event() {}

func (*MonsterEvent_DeleteEvent) isMonsterEvent_Event() {}

func (*MonsterEvent_UpdateEvent) isMonsterEvent_Event() {}

type MonServiceCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Method:
	//	*MonServiceCall_AddMon
	//	*MonServiceCall_GetbyId
	//	*MonServiceCall_GetbyuserId
	//	*MonServiceCall_Update
	//	*MonServiceCall_Delete
	Method   isMonServiceCall_Method `protobuf_oneof:"method"`
	MetaData *common.MetaData        `protobuf:"bytes,6,opt,name=metaData,proto3" json:"metaData,omitempty"`
}

func (x *MonServiceCall) Reset() {
	*x = MonServiceCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonServiceCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonServiceCall) ProtoMessage() {}

func (x *MonServiceCall) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonServiceCall.ProtoReflect.Descriptor instead.
func (*MonServiceCall) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{16}
}

func (m *MonServiceCall) GetMethod() isMonServiceCall_Method {
	if m != nil {
		return m.Method
	}
	return nil
}

func (x *MonServiceCall) GetAddMon() *AddMonCall {
	if x, ok := x.GetMethod().(*MonServiceCall_AddMon); ok {
		return x.AddMon
	}
	return nil
}

func (x *MonServiceCall) GetGetbyId() *GetMonByIDCall {
	if x, ok := x.GetMethod().(*MonServiceCall_GetbyId); ok {
		return x.GetbyId
	}
	return nil
}

func (x *MonServiceCall) GetGetbyuserId() *GetMonByUserIDCall {
	if x, ok := x.GetMethod().(*MonServiceCall_GetbyuserId); ok {
		return x.GetbyuserId
	}
	return nil
}

func (x *MonServiceCall) GetUpdate() *UpdateMonCall {
	if x, ok := x.GetMethod().(*MonServiceCall_Update); ok {
		return x.Update
	}
	return nil
}

func (x *MonServiceCall) GetDelete() *DeleteMonCall {
	if x, ok := x.GetMethod().(*MonServiceCall_Delete); ok {
		return x.Delete
	}
	return nil
}

func (x *MonServiceCall) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

type isMonServiceCall_Method interface {
	isMonServiceCall_Method()
}

type MonServiceCall_AddMon struct {
	AddMon *AddMonCall `protobuf:"bytes,1,opt,name=addMon,proto3,oneof"`
}

type MonServiceCall_GetbyId struct {
	GetbyId *GetMonByIDCall `protobuf:"bytes,2,opt,name=getbyId,proto3,oneof"`
}

type MonServiceCall_GetbyuserId struct {
	GetbyuserId *GetMonByUserIDCall `protobuf:"bytes,3,opt,name=getbyuserId,proto3,oneof"`
}

type MonServiceCall_Update struct {
	Update *UpdateMonCall `protobuf:"bytes,4,opt,name=update,proto3,oneof"`
}

type MonServiceCall_Delete struct {
	Delete *DeleteMonCall `protobuf:"bytes,5,opt,name=delete,proto3,oneof"`
}

func (*MonServiceCall_AddMon) isMonServiceCall_Method() {}

func (*MonServiceCall_GetbyId) isMonServiceCall_Method() {}

func (*MonServiceCall_GetbyuserId) isMonServiceCall_Method() {}

func (*MonServiceCall_Update) isMonServiceCall_Method() {}

func (*MonServiceCall_Delete) isMonServiceCall_Method() {}

type MonsterList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Monsters []*Monster `protobuf:"bytes,1,rep,name=monsters,proto3" json:"monsters,omitempty"`
}

func (x *MonsterList) Reset() {
	*x = MonsterList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonsterList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonsterList) ProtoMessage() {}

func (x *MonsterList) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonsterList.ProtoReflect.Descriptor instead.
func (*MonsterList) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{17}
}

func (x *MonsterList) GetMonsters() []*Monster {
	if x != nil {
		return x.Monsters
	}
	return nil
}

type MonServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Data:
	//	*MonServiceResponse_Id
	//	*MonServiceResponse_Mon
	//	*MonServiceResponse_Status
	//	*MonServiceResponse_Monsters
	Data     isMonServiceResponse_Data `protobuf_oneof:"data"`
	MetaData *common.MetaData          `protobuf:"bytes,5,opt,name=metaData,proto3" json:"metaData,omitempty"`
}

func (x *MonServiceResponse) Reset() {
	*x = MonServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_monster_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MonServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MonServiceResponse) ProtoMessage() {}

func (x *MonServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_monster_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MonServiceResponse.ProtoReflect.Descriptor instead.
func (*MonServiceResponse) Descriptor() ([]byte, []int) {
	return file_monster_proto_rawDescGZIP(), []int{18}
}

func (m *MonServiceResponse) GetData() isMonServiceResponse_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (x *MonServiceResponse) GetId() *common.MonId {
	if x, ok := x.GetData().(*MonServiceResponse_Id); ok {
		return x.Id
	}
	return nil
}

func (x *MonServiceResponse) GetMon() *Monster {
	if x, ok := x.GetData().(*MonServiceResponse_Mon); ok {
		return x.Mon
	}
	return nil
}

func (x *MonServiceResponse) GetStatus() *common.ResponseStatus {
	if x, ok := x.GetData().(*MonServiceResponse_Status); ok {
		return x.Status
	}
	return nil
}

func (x *MonServiceResponse) GetMonsters() *MonsterList {
	if x, ok := x.GetData().(*MonServiceResponse_Monsters); ok {
		return x.Monsters
	}
	return nil
}

func (x *MonServiceResponse) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

type isMonServiceResponse_Data interface {
	isMonServiceResponse_Data()
}

type MonServiceResponse_Id struct {
	Id *common.MonId `protobuf:"bytes,1,opt,name=id,proto3,oneof"`
}

type MonServiceResponse_Mon struct {
	Mon *Monster `protobuf:"bytes,2,opt,name=mon,proto3,oneof"`
}

type MonServiceResponse_Status struct {
	Status *common.ResponseStatus `protobuf:"bytes,3,opt,name=status,proto3,oneof"`
}

type MonServiceResponse_Monsters struct {
	Monsters *MonsterList `protobuf:"bytes,4,opt,name=monsters,proto3,oneof"`
}

func (*MonServiceResponse_Id) isMonServiceResponse_Data() {}

func (*MonServiceResponse_Mon) isMonServiceResponse_Data() {}

func (*MonServiceResponse_Status) isMonServiceResponse_Data() {}

func (*MonServiceResponse_Monsters) isMonServiceResponse_Data() {}

var File_monster_proto protoreflect.FileDescriptor

var file_monster_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0c, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x1a, 0x1f, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0c,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x80, 0x03, 0x0a,
	0x07, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08,
	0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08,
	0x70, 0x6c, 0x61, 0x79, 0x65, 0x72, 0x49, 0x44, 0x12, 0x3e, 0x0a, 0x0c, 0x62, 0x61, 0x74, 0x74,
	0x6c, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x42, 0x61,
	0x74, 0x74, 0x6c, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x52, 0x0c, 0x62, 0x61, 0x74, 0x74,
	0x6c, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x12, 0x38, 0x0a, 0x0a, 0x62, 0x6f, 0x64, 0x79,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x42, 0x6f, 0x64, 0x79,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x52, 0x0a, 0x62, 0x6f, 0x64, 0x79, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x73, 0x12, 0x3b, 0x0a, 0x0b, 0x6c, 0x61, 0x73, 0x74, 0x5f, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x0a, 0x6c, 0x61, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12,
	0x17, 0x0a, 0x07, 0x69, 0x73, 0x5f, 0x74, 0x65, 0x73, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x06, 0x69, 0x73, 0x54, 0x65, 0x73, 0x74, 0x12, 0x32, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69,
	0x76, 0x69, 0x74, 0x79, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69,
	0x74, 0x79, 0x52, 0x08, 0x61, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x12, 0x31, 0x0a, 0x06,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22,
	0x28, 0x0a, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x46, 0x6c, 0x61, 0x67, 0x73, 0x12, 0x19,
	0x0a, 0x08, 0x69, 0x73, 0x5f, 0x61, 0x6c, 0x69, 0x76, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x07, 0x69, 0x73, 0x41, 0x6c, 0x69, 0x76, 0x65, 0x22, 0x7a, 0x0a, 0x0c, 0x42, 0x61, 0x74,
	0x74, 0x6c, 0x65, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x74, 0x74,
	0x61, 0x63, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x06, 0x61, 0x74, 0x74, 0x61, 0x63,
	0x6b, 0x12, 0x18, 0x0a, 0x07, 0x64, 0x65, 0x66, 0x65, 0x6e, 0x73, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x07, 0x64, 0x65, 0x66, 0x65, 0x6e, 0x73, 0x65, 0x12, 0x15, 0x0a, 0x06, 0x6d,
	0x61, 0x78, 0x5f, 0x68, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x6d, 0x61, 0x78,
	0x48, 0x70, 0x12, 0x21, 0x0a, 0x0c, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f,
	0x68, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e,
	0x69, 0x6e, 0x67, 0x48, 0x70, 0x22, 0x7a, 0x0a, 0x0a, 0x42, 0x6f, 0x64, 0x79, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x73, 0x12, 0x31, 0x0a, 0x14, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67,
	0x5f, 0x73, 0x61, 0x74, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x13, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x53, 0x61, 0x74, 0x75,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x25, 0x0a, 0x0e, 0x6d, 0x61, 0x78, 0x5f, 0x73, 0x61,
	0x74, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0d,
	0x6d, 0x61, 0x78, 0x53, 0x61, 0x74, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a,
	0x04, 0x6d, 0x61, 0x73, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x6d, 0x61, 0x73,
	0x73, 0x22, 0x7d, 0x0a, 0x08, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x12, 0x30, 0x0a,
	0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x49, 0x64, 0x48, 0x00, 0x52, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x12,
	0x33, 0x0a, 0x08, 0x62, 0x61, 0x74, 0x74, 0x6c, 0x65, 0x49, 0x44, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x42, 0x61, 0x74, 0x74, 0x6c, 0x65, 0x49, 0x64, 0x48, 0x00, 0x52, 0x08, 0x62, 0x61, 0x74, 0x74,
	0x6c, 0x65, 0x49, 0x44, 0x42, 0x0a, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79,
	0x22, 0x35, 0x0a, 0x0a, 0x41, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x27,
	0x0a, 0x03, 0x6d, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x52, 0x03, 0x6d, 0x6f, 0x6e, 0x22, 0x34, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x4d, 0x6f,
	0x6e, 0x42, 0x79, 0x49, 0x44, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x22, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x22, 0x41, 0x0a,
	0x12, 0x47, 0x65, 0x74, 0x4d, 0x6f, 0x6e, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x49, 0x44, 0x43,
	0x61, 0x6c, 0x6c, 0x12, 0x2b, 0x0a, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64,
	0x22, 0x38, 0x0a, 0x0d, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x4d, 0x6f, 0x6e, 0x43, 0x61, 0x6c,
	0x6c, 0x12, 0x27, 0x0a, 0x03, 0x6d, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f,
	0x6e, 0x73, 0x74, 0x65, 0x72, 0x52, 0x03, 0x6d, 0x6f, 0x6e, 0x22, 0x33, 0x0a, 0x0d, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x4d, 0x6f, 0x6e, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x22, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x22,
	0x65, 0x0a, 0x0b, 0x4c, 0x6f, 0x63, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x32, 0x0a, 0x08, 0x61, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x2e, 0x41, 0x63, 0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x52, 0x08, 0x61, 0x63,
	0x74, 0x69, 0x76, 0x69, 0x74, 0x79, 0x22, 0x34, 0x0a, 0x0e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x22, 0x3f, 0x0a, 0x13,
	0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x12, 0x28, 0x0a, 0x05, 0x6d, 0x6f, 0x6e, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x05, 0x6d, 0x6f, 0x6e, 0x49, 0x64, 0x22, 0x3c, 0x0a,
	0x11, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x41, 0x64, 0x64, 0x65, 0x64, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x27, 0x0a, 0x03, 0x6d, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d,
	0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x52, 0x03, 0x6d, 0x6f, 0x6e, 0x22, 0x3e, 0x0a, 0x13, 0x4d,
	0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x27, 0x0a, 0x03, 0x6d, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d,
	0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x52, 0x03, 0x6d, 0x6f, 0x6e, 0x22, 0xe8, 0x01, 0x0a, 0x0c,
	0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x41, 0x0a, 0x0a,
	0x61, 0x64, 0x64, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e,
	0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x41, 0x64, 0x64, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x48, 0x00, 0x52, 0x0a, 0x61, 0x64, 0x64, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12,
	0x45, 0x0a, 0x0b, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0b, 0x64, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x45, 0x0a, 0x0b, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00,
	0x52, 0x0b, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x07, 0x0a,
	0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x22, 0xef, 0x02, 0x0a, 0x0e, 0x4d, 0x6f, 0x6e, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x32, 0x0a, 0x06, 0x61, 0x64, 0x64,
	0x4d, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x41, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x43,
	0x61, 0x6c, 0x6c, 0x48, 0x00, 0x52, 0x06, 0x61, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x12, 0x38, 0x0a,
	0x07, 0x67, 0x65, 0x74, 0x62, 0x79, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x47, 0x65,
	0x74, 0x4d, 0x6f, 0x6e, 0x42, 0x79, 0x49, 0x44, 0x43, 0x61, 0x6c, 0x6c, 0x48, 0x00, 0x52, 0x07,
	0x67, 0x65, 0x74, 0x62, 0x79, 0x49, 0x64, 0x12, 0x44, 0x0a, 0x0b, 0x67, 0x65, 0x74, 0x62, 0x79,
	0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4d,
	0x6f, 0x6e, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x49, 0x44, 0x43, 0x61, 0x6c, 0x6c, 0x48, 0x00,
	0x52, 0x0b, 0x67, 0x65, 0x74, 0x62, 0x79, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x35, 0x0a,
	0x06, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x4d, 0x6f, 0x6e, 0x43, 0x61, 0x6c, 0x6c, 0x48, 0x00, 0x52, 0x06, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x12, 0x35, 0x0a, 0x06, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4d, 0x6f, 0x6e, 0x43, 0x61, 0x6c,
	0x6c, 0x48, 0x00, 0x52, 0x06, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x31, 0x0a, 0x08, 0x6d,
	0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x61,
	0x44, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x42, 0x08,
	0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x22, 0x40, 0x0a, 0x0b, 0x4d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x31, 0x0a, 0x08, 0x6d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72,
	0x52, 0x08, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x73, 0x22, 0x90, 0x02, 0x0a, 0x12, 0x4d,
	0x6f, 0x6e, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x24, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49,
	0x64, 0x48, 0x00, 0x52, 0x02, 0x69, 0x64, 0x12, 0x29, 0x0a, 0x03, 0x6d, 0x6f, 0x6e, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x48, 0x00, 0x52, 0x03, 0x6d,
	0x6f, 0x6e, 0x12, 0x35, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x48,
	0x00, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x37, 0x0a, 0x08, 0x6d, 0x6f, 0x6e,
	0x73, 0x74, 0x65, 0x72, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x48, 0x00, 0x52, 0x08, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65,
	0x72, 0x73, 0x12, 0x31, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d, 0x65, 0x74,
	0x61, 0x44, 0x61, 0x74, 0x61, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x32, 0x93, 0x04,
	0x0a, 0x0f, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x12, 0x35, 0x0a, 0x06, 0x41, 0x64, 0x64, 0x4d, 0x6f, 0x6e, 0x12, 0x15, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x1a, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x22, 0x00, 0x12, 0x3a, 0x0a, 0x0a, 0x41, 0x64, 0x64, 0x54,
	0x65, 0x73, 0x74, 0x4d, 0x6f, 0x6e, 0x12, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x1a, 0x15, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x22, 0x00, 0x12, 0x41, 0x0a, 0x0b, 0x4c, 0x6f, 0x63, 0x6b, 0x4d, 0x6f, 0x6e, 0x73,
	0x74, 0x65, 0x72, 0x12, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x2e, 0x4c, 0x6f, 0x63, 0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f,
	0x6e, 0x73, 0x74, 0x65, 0x72, 0x22, 0x00, 0x12, 0x4d, 0x0a, 0x0e, 0x52, 0x65, 0x6c, 0x65, 0x61,
	0x73, 0x65, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x12, 0x1c, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x52, 0x65, 0x6c, 0x65, 0x61, 0x73, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0x00, 0x12, 0x39, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x4d, 0x6f, 0x6e,
	0x42, 0x79, 0x49, 0x44, 0x12, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x1a, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x22,
	0x00, 0x12, 0x43, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x4d, 0x6f, 0x6e, 0x73, 0x42, 0x79, 0x55, 0x73,
	0x65, 0x72, 0x49, 0x44, 0x12, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x1a, 0x19, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72,
	0x4c, 0x69, 0x73, 0x74, 0x22, 0x00, 0x12, 0x3b, 0x0a, 0x09, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x4d, 0x6f, 0x6e, 0x12, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x1a, 0x15, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x6e, 0x73, 0x74, 0x65,
	0x72, 0x22, 0x00, 0x12, 0x3e, 0x0a, 0x09, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x4d, 0x6f, 0x6e,
	0x12, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d,
	0x6f, 0x6e, 0x49, 0x64, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x22, 0x00, 0x42, 0x35, 0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x76, 0x61, 0x6a, 0x61, 0x72, 0x5f, 0x6d, 0x69, 0x6e, 0x69, 0x67, 0x61, 0x6d, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x67, 0x6f, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_monster_proto_rawDescOnce sync.Once
	file_monster_proto_rawDescData = file_monster_proto_rawDesc
)

func file_monster_proto_rawDescGZIP() []byte {
	file_monster_proto_rawDescOnce.Do(func() {
		file_monster_proto_rawDescData = protoimpl.X.CompressGZIP(file_monster_proto_rawDescData)
	})
	return file_monster_proto_rawDescData
}

var file_monster_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_monster_proto_goTypes = []interface{}{
	(*Monster)(nil),               // 0: protomonster.Monster
	(*StatusFlags)(nil),           // 1: protomonster.StatusFlags
	(*BattleValues)(nil),          // 2: protomonster.BattleValues
	(*BodyValues)(nil),            // 3: protomonster.BodyValues
	(*Activity)(nil),              // 4: protomonster.Activity
	(*AddMonCall)(nil),            // 5: protomonster.AddMonCall
	(*GetMonByIDCall)(nil),        // 6: protomonster.GetMonByIDCall
	(*GetMonByUserIDCall)(nil),    // 7: protomonster.GetMonByUserIDCall
	(*UpdateMonCall)(nil),         // 8: protomonster.UpdateMonCall
	(*DeleteMonCall)(nil),         // 9: protomonster.DeleteMonCall
	(*LockRequest)(nil),           // 10: protomonster.LockRequest
	(*ReleaseRequest)(nil),        // 11: protomonster.ReleaseRequest
	(*MonsterDeletedEvent)(nil),   // 12: protomonster.MonsterDeletedEvent
	(*MonsterAddedEvent)(nil),     // 13: protomonster.MonsterAddedEvent
	(*MonsterUpdatedEvent)(nil),   // 14: protomonster.MonsterUpdatedEvent
	(*MonsterEvent)(nil),          // 15: protomonster.MonsterEvent
	(*MonServiceCall)(nil),        // 16: protomonster.MonServiceCall
	(*MonsterList)(nil),           // 17: protomonster.MonsterList
	(*MonServiceResponse)(nil),    // 18: protomonster.MonServiceResponse
	(*timestamppb.Timestamp)(nil), // 19: google.protobuf.Timestamp
	(*common.QuestId)(nil),        // 20: protocommon.QuestId
	(*common.BattleId)(nil),       // 21: protocommon.BattleId
	(*common.MonId)(nil),          // 22: protocommon.MonId
	(*common.UserId)(nil),         // 23: protocommon.UserId
	(*common.MetaData)(nil),       // 24: protocommon.MetaData
	(*common.ResponseStatus)(nil), // 25: protocommon.ResponseStatus
}
var file_monster_proto_depIdxs = []int32{
	2,  // 0: protomonster.Monster.battleValues:type_name -> protomonster.BattleValues
	3,  // 1: protomonster.Monster.bodyValues:type_name -> protomonster.BodyValues
	19, // 2: protomonster.Monster.last_update:type_name -> google.protobuf.Timestamp
	4,  // 3: protomonster.Monster.activity:type_name -> protomonster.Activity
	1,  // 4: protomonster.Monster.status:type_name -> protomonster.StatusFlags
	20, // 5: protomonster.Activity.questId:type_name -> protocommon.QuestId
	21, // 6: protomonster.Activity.battleID:type_name -> protocommon.BattleId
	0,  // 7: protomonster.AddMonCall.mon:type_name -> protomonster.Monster
	22, // 8: protomonster.GetMonByIDCall.id:type_name -> protocommon.MonId
	23, // 9: protomonster.GetMonByUserIDCall.userId:type_name -> protocommon.UserId
	0,  // 10: protomonster.UpdateMonCall.mon:type_name -> protomonster.Monster
	22, // 11: protomonster.DeleteMonCall.id:type_name -> protocommon.MonId
	22, // 12: protomonster.LockRequest.id:type_name -> protocommon.MonId
	4,  // 13: protomonster.LockRequest.activity:type_name -> protomonster.Activity
	22, // 14: protomonster.ReleaseRequest.id:type_name -> protocommon.MonId
	22, // 15: protomonster.MonsterDeletedEvent.monId:type_name -> protocommon.MonId
	0,  // 16: protomonster.MonsterAddedEvent.mon:type_name -> protomonster.Monster
	0,  // 17: protomonster.MonsterUpdatedEvent.mon:type_name -> protomonster.Monster
	13, // 18: protomonster.MonsterEvent.addedEvent:type_name -> protomonster.MonsterAddedEvent
	12, // 19: protomonster.MonsterEvent.deleteEvent:type_name -> protomonster.MonsterDeletedEvent
	14, // 20: protomonster.MonsterEvent.updateEvent:type_name -> protomonster.MonsterUpdatedEvent
	5,  // 21: protomonster.MonServiceCall.addMon:type_name -> protomonster.AddMonCall
	6,  // 22: protomonster.MonServiceCall.getbyId:type_name -> protomonster.GetMonByIDCall
	7,  // 23: protomonster.MonServiceCall.getbyuserId:type_name -> protomonster.GetMonByUserIDCall
	8,  // 24: protomonster.MonServiceCall.update:type_name -> protomonster.UpdateMonCall
	9,  // 25: protomonster.MonServiceCall.delete:type_name -> protomonster.DeleteMonCall
	24, // 26: protomonster.MonServiceCall.metaData:type_name -> protocommon.MetaData
	0,  // 27: protomonster.MonsterList.monsters:type_name -> protomonster.Monster
	22, // 28: protomonster.MonServiceResponse.id:type_name -> protocommon.MonId
	0,  // 29: protomonster.MonServiceResponse.mon:type_name -> protomonster.Monster
	25, // 30: protomonster.MonServiceResponse.status:type_name -> protocommon.ResponseStatus
	17, // 31: protomonster.MonServiceResponse.monsters:type_name -> protomonster.MonsterList
	24, // 32: protomonster.MonServiceResponse.metaData:type_name -> protocommon.MetaData
	0,  // 33: protomonster.MonsterServices.AddMon:input_type -> protomonster.Monster
	23, // 34: protomonster.MonsterServices.AddTestMon:input_type -> protocommon.UserId
	10, // 35: protomonster.MonsterServices.LockMonster:input_type -> protomonster.LockRequest
	11, // 36: protomonster.MonsterServices.ReleaseMonster:input_type -> protomonster.ReleaseRequest
	22, // 37: protomonster.MonsterServices.GetMonByID:input_type -> protocommon.MonId
	23, // 38: protomonster.MonsterServices.GetMonsByUserID:input_type -> protocommon.UserId
	0,  // 39: protomonster.MonsterServices.UpdateMon:input_type -> protomonster.Monster
	22, // 40: protomonster.MonsterServices.DeleteMon:input_type -> protocommon.MonId
	22, // 41: protomonster.MonsterServices.AddMon:output_type -> protocommon.MonId
	0,  // 42: protomonster.MonsterServices.AddTestMon:output_type -> protomonster.Monster
	0,  // 43: protomonster.MonsterServices.LockMonster:output_type -> protomonster.Monster
	25, // 44: protomonster.MonsterServices.ReleaseMonster:output_type -> protocommon.ResponseStatus
	0,  // 45: protomonster.MonsterServices.GetMonByID:output_type -> protomonster.Monster
	17, // 46: protomonster.MonsterServices.GetMonsByUserID:output_type -> protomonster.MonsterList
	0,  // 47: protomonster.MonsterServices.UpdateMon:output_type -> protomonster.Monster
	25, // 48: protomonster.MonsterServices.DeleteMon:output_type -> protocommon.ResponseStatus
	41, // [41:49] is the sub-list for method output_type
	33, // [33:41] is the sub-list for method input_type
	33, // [33:33] is the sub-list for extension type_name
	33, // [33:33] is the sub-list for extension extendee
	0,  // [0:33] is the sub-list for field type_name
}

func init() { file_monster_proto_init() }
func file_monster_proto_init() {
	if File_monster_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_monster_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Monster); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusFlags); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BattleValues); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BodyValues); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Activity); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddMonCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetMonByIDCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetMonByUserIDCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateMonCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteMonCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LockRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReleaseRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonsterDeletedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonsterAddedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonsterUpdatedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonsterEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonServiceCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonsterList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_monster_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MonServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_monster_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*Activity_QuestId)(nil),
		(*Activity_BattleID)(nil),
	}
	file_monster_proto_msgTypes[15].OneofWrappers = []interface{}{
		(*MonsterEvent_AddedEvent)(nil),
		(*MonsterEvent_DeleteEvent)(nil),
		(*MonsterEvent_UpdateEvent)(nil),
	}
	file_monster_proto_msgTypes[16].OneofWrappers = []interface{}{
		(*MonServiceCall_AddMon)(nil),
		(*MonServiceCall_GetbyId)(nil),
		(*MonServiceCall_GetbyuserId)(nil),
		(*MonServiceCall_Update)(nil),
		(*MonServiceCall_Delete)(nil),
	}
	file_monster_proto_msgTypes[18].OneofWrappers = []interface{}{
		(*MonServiceResponse_Id)(nil),
		(*MonServiceResponse_Mon)(nil),
		(*MonServiceResponse_Status)(nil),
		(*MonServiceResponse_Monsters)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_monster_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_monster_proto_goTypes,
		DependencyIndexes: file_monster_proto_depIdxs,
		MessageInfos:      file_monster_proto_msgTypes,
	}.Build()
	File_monster_proto = out.File
	file_monster_proto_rawDesc = nil
	file_monster_proto_goTypes = nil
	file_monster_proto_depIdxs = nil
}
